Summary: Framebuffer utilities for changing video modes.
Name: fbset
Version: 2.1
Release: 7mdk
Copyright: GPL
Group: System/Kernel and hardware
Source: http://www.cs.kuleuven.ac.be/~geert/bin/fbset-%{version}.tar.bz2
Patch: fbset-2.0-pre-19981028.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%prep
%setup -q
%patch -p1

%build
make CC="gcc -I. $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
#make install PREFIX=$RPM_BUILD_ROOT
install fbset $RPM_BUILD_ROOT/usr/sbin
install fbset.8 $RPM_BUILD_ROOT%{_mandir}/man8
install fb.modes.5 $RPM_BUILD_ROOT%{_mandir}/man5

## It's a useable default not perfect but ..
#%ifarch sparc sparc64
mkdir -p $RPM_BUILD_ROOT/etc
cp etc/fb.modes.ATI $RPM_BUILD_ROOT/etc/fb.modes
#%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#/dev/*
/usr/sbin/*
%{_mandir}/man[58]/*
#%ifarch sparc sparc64
%config(noreplace) /etc/fb.modes
#%endif

%changelog

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-7mdk
- macros, BM, _spechelper_ (jerome scks)
- don't blow away old config when updating

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 2.1-6mdk
- fix rpm group and spec-helper issues

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 2.1-5mdk
- remove the nasty %%post creating devices

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- make install by hand
- fondle the files section (use ATI for example fb.modes)

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.1
- handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- include fb devs too (#1515)
- update to 19990118 version.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
